Tag: pip

Как добавить собственный индекс в pip, работающий в virtualenv?

У меня есть virtualenv с пипсом внутри. У меня есть собственный индекс пакетов. Я хочу добавить этот пакет в pip, чтобы избежать вызова pip install some_package -i my_index все время Я хочу добавить этот индекс только к этому конкретному экземпляру экземпляра, запущенному в virtualenv. В этом случае, какой файл следует изменить и как?

Установить пипс в докере

Я не могу установить pip в Docker. Вот мой файл Dockerfile: FROM ubuntu:14.04 # Install dependencies RUN apt-get update -y RUN apt-get install -y git curl apache2 php5 libapache2-mod-php5 php5-mcrypt php5-mysql python3.4 python-pip При строительстве я получаю: Sending build context to Docker daemon 109.6 kB Step 1 : FROM ubuntu:14.04 —> b549a9959a66 Step 2 : […]

используйте относительный путь в файле требований.txt, чтобы установить файл tar.gz с помощью pip

Мы используем файл requirements.txt для хранения всех необходимых внешних модулей. Каждый модуль, кроме одного, собирается из Интернета. Другой хранится в папке, в которой находится файл requirements.txt. BTW, этот модуль можно легко установить с помощью pip install Я пробовал использовать это: file:folder/module или это: file:./folder/module или даже это: folder/module но всегда вызывает у меня ошибку. Кто-нибудь […]

Запуск bpython внутри виртуального

Я создал virtualenv и установил SQLAlchemy в нем: $ virtualenv alchemy $ source alchemy/bin/activate $ pip install sqlalchemy import работает в python: $ python Python 2.7.5 (default, Mar 9 2014, 22:15:05) [GCC 4.2.1 Compatible Apple LLVM 5.0 (clang-500.0.68)] on darwin Type "help", "copyright", "credits" or "license" for more information. >>> import sqlalchemy >>> print sqlalchemy.__version__ […]

pip не видит setuptools

Я перехожу от python2 к python3. Я создал virtualenv с python3 -m venv py3 и пытаюсь pip install -r requirements.txt но он говорит Collecting mock==1.0.1 (from -r requirements.txt (line 8)) Using cached mock-1.0.1.tar.gz setuptools must be installed to install from a source distribution Я проверил свой virtualenv, и у него есть setuptools: (py3) 1111:d3 1111$ […]

Использование NumPy в Visual Studio

Я загрузил http://pytools.codeplex.com/ (Python Tools для Visual Studio), чтобы я мог писать Python в VS, конечно! Проблема в том, что когда я пытаюсь использовать самый базовый пакет «numpy», например: import numpy В нем говорится: « Нет модуля с именем« numpy » ». Как я могу использовать numpy и scipy в Visual Studio? Примечание. Я использую […]

pip: пакет обновления без обновления конкретной зависимости

Мой вопрос очень похож на этот вопрос. Но он отличается тем, что, если я устанавливаю какой-то пакет, я хочу только отключить обновление для конкретной зависимости не для всех зависимостей. Я знаю, что есть флаг –no-deps но он будет исключать всю зависимость, а я просто хочу исключить ее. Вот сценарий: У меня установлен Django 1.4 У […]

Команда Zsh: Conda / Pip не найдена

Поэтому я установил Anaconda, и все работает. После того, как я установил его, я решил переключиться на oh-my-zsh. Я сейчас получаю zsh: команда не найдена: conda при попытке установить контуры или кондоминиумы echo $ZSH_VERSION 5.0.5 Я добавил к своему zshenv.sh export PATH = "/ Пользователи / Dz / anaconda / bin: $ PATH" Что мне […]

Установка NumPy с ошибкой pip на Ubuntu

Когда я пытаюсь: $ sudo pip install numpy на моем сервере Ubuntu 12.04, я получаю: ———————————————————— /usr/local/bin/pip run on Tue Dec 10 18:25:54 2013 Downloading/unpacking numpy Getting page https://pypi.python.org/simple/numpy/ URLs to search for versions for numpy: * https://pypi.python.org/simple/numpy/ Analyzing links from page https://pypi.python.org/simple/numpy/ Skipping link https://pypi.python.org/packages/2.4/n/numpy/numpy-1.0.1.dev3460.win32-py2.4.exe#md5=a55b13b1f141de2aa965d5c5554c4ad8 (from https://pypi.python.org/simple/numpy/); unknown archive format: .exe Skipping link https://pypi.python.org/packages/2.5/n/numpy/numpy-1.3.0.win32-py2.5.exe#md5=28ee6681b04beb5bfc4bc056417ff087 […]

Как установить pip в arch linux?

Я разобрал это: python-pip-1.5.6-2-any.pkg.tar.xz tar -xf python-pip-1.5.6-2-any.pkg.tar.xz и он создал папку usr с подпапками bin , lib и share внутри bin находится pip , pip3 и pip3.4 Как, черт возьми, я должен запускать makepkg ? Я не знаю, как это установить.

 
Interesting Posts for Van-Lav

Pycharm: как запустить стандартный терминал (для решения проблемы с проклятиями)

Запросы Python не работают для прокси-сервера https

вычислять среднее и дисперсию с одной итерацией

Как читать тег ID3 в MP3 с помощью Python?

конвертировать .data файл в .csv

Полученная ошибка «Не авторизовано для доступа к этому ресурсу / api» при попытке использовать API Google Directory и аутентификацию учетной записи службы

Гуникорн не будет привязан к моей заявке

Необходимые советы для автоматизации тестирования служб REST

Легкий алгоритм самокалибровки монокулярной камеры

Как найти открытую рамку чтения в Python

фатальная ошибка: файл «string.h» не найден после обновления до python 3.2 и установки определенных модулей из virtualenv

python, как узнать, включена ли гиперпоточность

Интегрировать django через pydev в eclipse?

Написание wav-файла в Python с помощью wavfile.write от SciPy

Как добавить реестр Python в Windows

Python - лучший язык программирования в мире.